<?php
/*-------------------------------------------------------+
| SEO Friendly 1.2
| Author: Wojciech Mycka (zer0) wmycka@nlds-group.com
| http://nlds-group.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."seo_friendly/infusion_db.php";

// Load locale file
if (file_exists(INFUSIONS."seo_friendly/locale/".$settings['locale'].".php")) {
	include INFUSIONS."seo_friendly/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."seo_friendly/locale/English.php";
}

$inf_title = $locale['seo_100'];
$inf_description = $locale['seo_101'];
$inf_version = "1.2";
$inf_developer = "Wojciech \"zer0\" Mycka";
$inf_email = "wmycka@nlds-group.com";
$inf_weburl = "http://nlds-group.com";

$inf_folder = "seo_friendly";

$inf_newtable[1] = DB_SF." (
	seo_id INT(1) UNSIGNED NOT NULL,
	seo_subject VARCHAR(155) DEFAULT '' NOT NULL,
	seo_category VARCHAR(40) DEFAULT '' NOT NULL,
	seo_revisit VARCHAR(10) DEFAULT '' NOT NULL,
	seo_robots VARCHAR(20) DEFAULT '' NOT NULL,
	seo_distribution VARCHAR(14) DEFAULT '' NOT NULL,
	seo_rating VARCHAR(10) DEFAULT '' NOT NULL,
	seo_author VARCHAR(80) DEFAULT '' NOT NULL,
	seo_designer VARCHAR(80) DEFAULT '' NOT NULL,
	seo_googlebot1 VARCHAR(3) DEFAULT '' NOT NULL,
	seo_googlebot2 SMALLINT(1),
	seo_googlebot3 SMALLINT(1),
	seo_friendly_url SMALLINT(1),
	seo_optimaze_html SMALLINT(1),
	seo_optimaze_meta SMALLINT(1),
	seo_removeframe SMALLINT(1),
	seo_emulateie7 SMALLINT(1),
	PRIMARY KEY (seo_id)
) TYPE=MyISAM;";


$inf_insertdbrow[1] = DB_SF." (seo_id, seo_subject, seo_category, seo_revisit, seo_robots, seo_distribution, seo_rating, seo_author, seo_designer, seo_googlebot1, seo_googlebot2, seo_googlebot3, seo_friendly_url, seo_optimaze_html, seo_optimaze_meta, seo_removeframe, seo_emulateie7) VALUES ('1','','','7 Days','index,follow','Global','General','".$_SERVER["HTTP_HOST"]."','www.php-fusion.co.uk','Yes','0','0','0','0','0','0','0')";

$inf_droptable[1] = DB_SF;

$inf_adminpanel[1] = array(
	"title" => $locale['seo_100'],
	"image" => "infusion_panel.gif",
	"panel" => "seo_friendly_admin.php",
	"rights" => "SF"
);
?>