<?php
/*-------------------------------------------------------+
| SEO Friendly 1.2
| Author: Wojciech Mycka (zer0) wmycka@nlds-group.com
| http://nlds-group.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."seo_friendly/infusion_db.php";
if (file_exists(INFUSIONS."seo_friendly/locale/".$settings['locale'].".php")) {
	include INFUSIONS."seo_friendly/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."seo_friendly/locale/English.php";
}

if (!checkrights("SF") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if ($settings['locale'] == "Polish") {
echo "<script type='text/javascript' src='".INFUSIONS."seo_friendly/javascript/seocounter-iso.js'></script>\n";
} elseif ($settings['locale'] == "Polish-utf8") {
echo "<script type='text/javascript' src='".INFUSIONS."seo_friendly/javascript/seocounter-utf.js'></script>\n";
}
echo "<script type='text/javascript' src='".INFUSIONS."seo_friendly/javascript/corner.js'></script>\n";
echo "<script type='text/javascript' src='".INFUSIONS."seo_friendly/javascript/animatedcollapse.js'></script>\n";
echo "<script type=\"text/javascript\">
		$(document).ready(function(){
			$('.corner').corner();
			seocounter();
		});
		animatedcollapse.addDiv(\"seo_102\",\"fade=0,speed=600,group=seo,persist=0,hide=0\")
		animatedcollapse.addDiv(\"seo_001\",\"fade=0,speed=600,group=seo,persist=0,hide=1\")
		animatedcollapse.addDiv(\"seo_018\",\"fade=0,speed=600,group=seo,persist=0,hide=1\")
		animatedcollapse.addDiv(\"seo_031gb\",\"fade=0,speed=600,group=seo,persist=0,hide=1\")
		animatedcollapse.addDiv(\"seo_040\",\"fade=0,speed=600,group=seo,persist=0,hide=1\")
		animatedcollapse.init()
	  </script>";


if (isset($_POST['save_wmi'])) {
	$result = dbquery("UPDATE ".DB_SF." SET seo_id='1', seo_subject='".$_POST['MetaSubject']."', seo_category='".$_POST['MetaCategory']."', seo_revisit='".$_POST['MetaRevisit']."', seo_robots='".$_POST['MetaRobots']."', seo_distribution='".$_POST['MetaDistribution']."', seo_rating='".$_POST['MetaRating']."', seo_author='".$_POST['MetaAuthor']."', seo_designer='".$_POST['MetaDesigner']."', seo_googlebot1='".$_POST['GoogleBot1']."', seo_googlebot2='".$_POST['GoogleBot2']."', seo_googlebot3='".$_POST['GoogleBot3']."', seo_friendly_url='".$_POST['RewriteModule']."', seo_optimaze_html='".$_POST['OptimazeHtml']."', seo_optimaze_meta='".$_POST['OptimazeMeta']."', seo_removeframe='".$_POST['RemoveFrame']."', seo_emulateie7='".$_POST['EmulateIE7']."'");
	redirect(FUSION_SELF.$aidlink, true);
} 


$result = dbquery("SELECT * FROM ".DB_SF." WHERE seo_id='1'");
$rows = dbrows($result);

opentable("<a href='javascript:animatedcollapse.toggle(\"seo_102\")'>".$locale['seo_102']."</a>");
	echo "<div id='seo_102' style='width:100%'>";
		echo "<div class='valid-none' style='padding:10px 45px 10px 45px;'>".$locale['seo_103']."</div>";
	echo "</div>";
closetable();


	echo "<form action='".FUSION_SELF.$aidlink."&amp;=zapisz' method='post'>\n";
			$data = dbarray(dbquery("SELECT * FROM ".DB_SF." WHERE seo_id='1'"));

opentable("<a href='javascript:animatedcollapse.toggle(\"seo_001\")'>".$locale['seo_001']."</a>");
		echo "<div id='seo_001' style='margin:0 10% 0 10%;'>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_035']."</strong><br /><label><input type='radio' name='OptimazeMeta' value='1'".($data['seo_optimaze_meta'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_035a']."</label><br /><label><input type='radio' name='OptimazeMeta' value='0'".($data['seo_optimaze_meta'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_035b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_035d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_002'].":</strong><br /><textarea name='MetaSubject' rows='3' cols='60' class='seocounter_MetaSubject textbox'>".$data['seo_subject']."</textarea><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_002d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_003'].":</strong><br /><input type='text' value='".$data['seo_category']."' name='MetaCategory' maxlength='40' class='seocounter_MetaCategory textbox' style='width:400px;' /><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_003d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_004'].":</strong><br /><select name='MetaRevisit' style='width:220px' /><option value='1 Day'".($data['seo_revisit'] == "1 Day" ? " selected='selected'" : "")." />".$locale['seo_005']."</option><option value='2 Days'".($data['seo_revisit'] == "2 Days" ? " selected='selected'" : "")." />".$locale['seo_006']."</option><option value='3 Days'".($data['seo_revisit'] == "3 Days" ? " selected='selected'" : "")." />".$locale['seo_007']."</option><option value='4 Days'".($data['seo_revisit'] == "4 Days" ? " selected='selected'" : "")." />".$locale['seo_008']."</option><option value='5 Days'".($data['seo_revisit'] == "5 Days" ? " selected='selected'" : "")." />".$locale['seo_009']."</option><option value='6 Days'".($data['seo_revisit'] == "6 Days" ? " selected='selected'" : "")." />".$locale['seo_010']."</option><option value='7 Days'".($data['seo_revisit'] == "7 Days" ? " selected='selected'" : "")." />".$locale['seo_011']."</option><option value='14 Days'".($data['seo_revisit'] == "14 Days" ? " selected='selected'" : "")." />".$locale['seo_012']."</option><option value='30 Days'".($data['seo_revisit'] == "30 Days" ? " selected='selected'" : "")."  />".$locale['seo_013']."</option><option value='61 Days'".($data['seo_revisit'] == "61 Days" ? " selected='selected'" : "")." />".$locale['seo_014']."</option><option value='91 Days'".($data['seo_revisit'] == "91 Days" ? " selected='selected'" : "")." />".$locale['seo_015']."</option><option value='182 Days'".($data['seo_revisit'] == "182 Days" ? " selected='selected'" : "")." />".$locale['seo_016']."</option><option value='365 Days'".($data['seo_revisit'] == "365 Days" ? " selected='selected'" : "")." />".$locale['seo_017']."</option></select><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_004d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_028'].":</strong><br /><input type='text' value='".$data['seo_author']."' name='MetaAuthor' maxlength='80' class='seocounter_MetaAuthor textbox' style='width:400px;' /><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_028d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_029'].":</strong><br /><input type='text' value='".$data['seo_designer']."' name='MetaDesigner' maxlength='80' class='seocounter_MetaDesigner textbox' style='width:400px;' /><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_029d']."</div></div><br />";

		echo "</div>";
closetable();

opentable("<a href='javascript:animatedcollapse.toggle(\"seo_018\")'>".$locale['seo_018']."</a>");
		echo "<div id='seo_018' style='margin:0 10% 0 10%;'>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_019'].":</strong><br /><label><input type='radio' name='MetaDistribution' value='Global'".($data['seo_distribution'] == "Global" ? " checked='checked'" : "")." /> ".$locale['seo_020']."</label><br /><label><input type='radio' name='MetaDistribution' value='Local'".($data['seo_distribution'] == "Local" ? " checked='checked'" : "")." /> ".$locale['seo_021']."</label><br /><label><input type='radio' name='MetaDistribution' value='UI'".($data['seo_distribution'] == "UI" ? " checked='checked'" : "")." /> ".$locale['seo_022']."</label></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_023'].":</strong><br /><label><input type='radio' name='MetaRating' value='General'".($data['seo_rating'] == "General" ? " checked='checked'" : "")." /> ".$locale['seo_024']."</label><br /><label><input type='radio' name='MetaRating' value='Restricted'".($data['seo_rating'] == "Restricted" ? " checked='checked'" : "")." /> ".$locale['seo_025']."</label><br /><label><input type='radio' name='MetaRating' value='Adult'".($data['seo_rating'] == "Adult" ? " checked='checked'" : "")." /> ".$locale['seo_026']."</label></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_032'].":</strong><br /><label><input type='radio' name='MetaRobots' value='index,follow'".($data['seo_robots'] == "index,follow" ? " checked='checked'" : "")." /> ".$locale['seo_032a']."</label><br /><label><input type='radio' name='MetaRobots' value='noindex,follow'".($data['seo_robots'] == "noindex,follow" ? " checked='checked'" : "")." /> ".$locale['seo_032b']."</label><br /><label><input type='radio' name='MetaRobots' value='index,nofollow'".($data['seo_robots'] == "index,nofollow" ? " checked='checked'" : "")." /> ".$locale['seo_032c']."</label><br /><label><input type='radio' name='MetaRobots' value='noindex,nofollow'".($data['seo_robots'] == "noindex,nofollow" ? " checked='checked'" : "")." /> ".$locale['seo_032d']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_032dd']."</div></div><br />";

		echo "</div>";
closetable();

opentable("<a href='javascript:animatedcollapse.toggle(\"seo_031gb\")'>".$locale['seo_031gb']."</a>");
		echo "<div id='seo_031gb' style='margin:0 10% 0 10%;'>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_031']."</strong><br /><label><input type='radio' name='GoogleBot1' value='Yes'".($data['seo_googlebot1'] == "Yes" ? " checked='checked'" : "")." /> ".$locale['seo_031a']."</label><br /><label><input type='radio' name='GoogleBot1' value='No'".($data['seo_googlebot1'] == "No" ? " checked='checked'" : "")." /> ".$locale['seo_031b']."</label></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_033']."</strong><br /><label><input type='radio' name='GoogleBot2' value='0'".($data['seo_googlebot2'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_033a']."</label><br /><label><input type='radio' name='GoogleBot2' value='1'".($data['seo_googlebot2'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_033b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_033d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_034']."</strong><br /><label><input type='radio' name='GoogleBot3' value='0'".($data['seo_googlebot3'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_034a']."</label><br /><label><input type='radio' name='GoogleBot3' value='1'".($data['seo_googlebot3'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_034b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_034d']."</div></div><br />";

		echo "</div>";
closetable();

opentable("<a href='javascript:animatedcollapse.toggle(\"seo_040\")'>".$locale['seo_040']."</a>");
		echo "<div id='seo_040' style='margin:0 10% 0 10%;'>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_036']."</strong><br /><label><input type='radio' name='OptimazeHtml' value='1'".($data['seo_optimaze_html'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_036a']."</label><br /><label><input type='radio' name='OptimazeHtml' value='0'".($data['seo_optimaze_html'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_036b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_036d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_041']."</strong><br /><label><input type='radio' name='RemoveFrame' value='1'".($data['seo_removeframe'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_041a']."</label><br /><label><input type='radio' name='RemoveFrame' value='0'".($data['seo_removeframe'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_041b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_041c']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_042']."</strong><br /><label><input type='radio' name='EmulateIE7' value='1'".($data['seo_emulateie7'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_042a']."</label><br /><label><input type='radio' name='EmulateIE7' value='0'".($data['seo_emulateie7'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_042b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_042d']."</div></div>";

				echo "<div style='margin:10px 0 10px 0;'><strong>".$locale['seo_030']."</strong><br /><label><input type='radio' name='RewriteModule' value='1'".($data['seo_friendly_url'] == "1" ? " checked='checked'" : "")." /> ".$locale['seo_030a']."</label><br /><label><input type='radio' name='RewriteModule' value='0'".($data['seo_friendly_url'] == "0" ? " checked='checked'" : "")." /> ".$locale['seo_030b']."</label><div class='corner' style='color:#333;margin:6px auto;background:#F7DAD8;font-size:11px;padding:8px;'>".$locale['seo_030d']."</div></div><br />";

		echo "</div>";
closetable();

		echo "<div style='text-align:center;'><br /><input type='submit' name='save_wmi' value='".$locale['seo_000']."' class='button' /><br /><br /></div>\n";
	echo "</form>";
closetable();

require_once THEMES."templates/footer.php";
?>